Plack::Middleware::AccessLog::Timed(3)

NAME
Plack::Middleware::AccessLog::Timed - Logs requests with time and accurate body size

SYNOPSIS
  # in app.psgi
  use Plack::Builder;

  builder {
      enable "Plack::Middleware::AccessLog::Timed",
          format => ""%v %h %l %u %t \"%r\" %>s %b %D";
      $app;
  };

DESCRIPTION
Plack::Middleware::AccessLog::Timed is a subclass of Plack::Middleware::AccessLog but uses a wrapped body handle to get the actual response body size %b (even if it's not a chunk of array or a real filehandle) and the time taken to serve the request: %T or %D.

This wraps the response body output stream so some server optimizations like sendfile(2) will be disabled if you use this middleware.

CONFIGURATION
Same as Plack::Middleware::AccessLog.

AUTHOR
Tatsuhiko Miyagawa

SEE ALSO
Plack::Middleware::AccessLog